/**
 * The Genesis Server (host0 to establish a connection (WebSocket or HTTP)).
 * Example: wss://localhost:9064
 * @remarks Required.
 * @public
 */
declare let _API_HOST: string;
export { _API_HOST as API_HOST };
/**
 * The path to a JSON config file for the HTTP mode.
 * @remarks Optional.
 * @public
 */
declare let _FORCE_HTTP: string;
export { _FORCE_HTTP as FORCE_HTTP };
/**
 * Configuration settings for HTTP, used in http connect flow [`genesislcap-foundation-comms.HttpConnectConfig`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
declare let _HTTP_CONFIG: string;
export { _HTTP_CONFIG as HTTP_CONFIG };
/**
 * The default Organisation value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
declare let _DEFAULT_ORGANISATION: string;
export { _DEFAULT_ORGANISATION as DEFAULT_ORGANISATION };
/**
 * The default Password value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
declare let _DEFAULT_PASSWORD: string;
export { _DEFAULT_PASSWORD as DEFAULT_PASSWORD };
/**
 * The default Username value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
declare let _DEFAULT_USER: string;
export { _DEFAULT_USER as DEFAULT_USER };
/**
 * The sub-path used for WebSocket connections.
 * Example: API_HOST + '/' + SOCKET_EXT - wss://localhost:9064/gwf.
 * @remarks Optional. Default is "API_HOST/gwf"
 * @public
 */
declare let _SOCKET_EXT: string;
export { _SOCKET_EXT as SOCKET_EXT };
//# sourceMappingURL=variables.d.ts.map